Bug 441048 - Terminal config messed up
Terminal config messed up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 10:01 EDT by Gary Thomas
Modified: 2010-12-05 02:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gary Thomas 2008-04-05 10:01:17 EDT
Description of problem:

Logging into a tty port, return is wrongly mapped to ^M, not ^J

Version-Release number of selected component (if applicable):

Rawhide snapshot 20080404

How reproducible:

100%

Steps to Reproduce:
1. Install via LiveCD 
2. Boot into single user mode
3. # telinit 3
  
Actual results:

login: root^M

Expected results:

login: root


Additional info:

Manually using ^J works.  After logged in, tty seems OK
Comment 1 Martin Nagy 2008-04-07 05:14:17 EDT
I think you filed this bug against a bad component. mgetty allows you to login
across serial line, or send faxes.
Comment 2 Gary Thomas 2008-04-07 07:22:43 EDT
Fair enough - I could not figure out what component was responsible for this
change in behaviour.  Any suggestions?
Comment 3 Martin Nagy 2008-04-07 07:41:22 EDT
Let's try mingetty.
To the maintainer: If this isn't the right package, please add me to CC list and
add a comment. Thanks.
Comment 4 Roman Rakus 2008-04-10 06:48:56 EDT
After short consultation with mlichvar changing component to upstart.
Comment 5 Bill Nottingham 2008-04-10 10:10:56 EDT
What version of upstart and initscripts?
Comment 6 Gary Thomas 2008-04-10 11:12:56 EDT
initscripts-8.65-1.i386
upstart-0.3.9-9.fc9.i386
Comment 7 Bill Nottingham 2008-04-10 11:17:42 EDT
Please upgrade to the latest rawhide initscripts, event-compat-sysv, and
upstart, and re-test.
Comment 8 Gary Thomas 2008-04-10 11:30:52 EDT
No improvement :-(  I just upgraded to:
  event-compat-sysv-0.3.9-13.fc9.noarch
  initscripts-8.69-1.i386
  upstart-0.3.9-15.fc9.i386
Comment 9 Bug Zapper 2008-05-14 04:56:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jon Stanley 2008-05-24 16:34:53 EDT
Using F9 Release, I am unable to reproduce this in VMWare, using this exact set
of steps:

1) Install from LiveCD
2) First boot after LiveCD in single-user
3) Get to shell, type telinit 3
4) Quit the TUI firstboot (which worked fine)
5) Login several times

This is with:

[root@localhost ~]# rpm -q upstart initscripts
upstart-0.3.9-19.fc9.i386
initscripts-8.76-1.i386

I'm going to go ahead and close this since I can't reproduce it in the released
versions.  If you have more information, feel free to reopen this report.
Comment 11 Gary Thomas 2008-05-27 13:25:27 EDT
This still happens on the released system, running on real hardware (not VMWare)

The terminal config is messed up - I see ^M when I press enter, ^? when I press 
backspace, etc.  Makes it pretty hard to use.  Once I manage to login, the config
reverts to sane.

Note: I also tested this by installing directly using Anaconda, not just via 
the LiveCD.  Same results.
Comment 12 Bill Nottingham 2008-05-27 13:38:37 EDT
Is this always repeatable?
Comment 13 Bill Nottingham 2008-05-27 13:44:07 EDT
And, if it does, does it also happen if you just continue onto the runlevel by
exiting the shell?
Comment 14 Gary Thomas 2008-05-27 13:47:51 EDT
100%

You should be able to test it on any F9 system.

* Boot into single user mode
* # telinit 3
* login: root^M

Note: it will prompt for the password after entering enter (and seeing ^M).
You cannot edit if you make a mistake though, neither backspace, DEL or ^H
seem to do the right thing.
Comment 15 Gary Thomas 2008-05-27 13:58:56 EDT
It does *not* happen if I boot directly to run level 3, only when I go
from run level 1 to 3 manually.

It also does *bot* happen if I make the default run level 3, boot single
and then "fall into" level 3.

It only seems to happen if I boot single and then use telinit 3
Comment 16 Casey Dahlin 2008-05-29 11:49:01 EDT
can someone with a bit more tty know-how figure out how to deliberately trigger
this sort of behaviour with some sort of tset command?

my guess is that it is something to do with the particular ordering of the sysv
scripts when you boot in this particular sequence.

Also, if you boot all the way to runlevel 5, then switch to a vt, does it behave
in the manner you describe?
Comment 17 Bill Nottingham 2008-05-29 12:05:47 EDT
I'm able to reproduce, I suspect it's something about how the single-user shell
does or doesn't reset the terminal depending on how it's killed.
Comment 18 Bug Zapper 2009-06-09 20:00:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bernie Innocenti 2009-06-10 06:33:07 EDT
This bug is still present in rawhide.
Comment 20 Bug Zapper 2009-11-16 03:03:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Ray Strode [halfline] 2010-03-26 15:02:44 EDT
We've had bugs like this in the past in plymouth. I think we've squashed them all.  I'm going to

1) assume that's what this bug report is about
2) assume it's no longer a problem

Please REOPEN if either of those assumptions are wrong.
Comment 22 Bug Zapper 2010-11-04 07:57:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-12-05 02:12:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.